import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import { OverrideStageConditionInput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface OverrideStageConditionCommandInput
  extends OverrideStageConditionInput {}
export interface OverrideStageConditionCommandOutput extends __MetadataBearer {}
declare const OverrideStageConditionCommand_base: {
  new (
    input: OverrideStageConditionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    OverrideStageConditionCommandInput,
    OverrideStageConditionCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: OverrideStageConditionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    OverrideStageConditionCommandInput,
    OverrideStageConditionCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class OverrideStageConditionCommand extends OverrideStageConditionCommand_base {
  protected static __types: {
    api: {
      input: OverrideStageConditionInput;
      output: {};
    };
    sdk: {
      input: OverrideStageConditionCommandInput;
      output: OverrideStageConditionCommandOutput;
    };
  };
}
