import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import { PollForJobsInput, PollForJobsOutput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface PollForJobsCommandInput extends PollForJobsInput {}
export interface PollForJobsCommandOutput
  extends PollForJobsOutput,
    __MetadataBearer {}
declare const PollForJobsCommand_base: {
  new (
    input: PollForJobsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PollForJobsCommandInput,
    PollForJobsCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: PollForJobsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PollForJobsCommandInput,
    PollForJobsCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class PollForJobsCommand extends PollForJobsCommand_base {
  protected static __types: {
    api: {
      input: PollForJobsInput;
      output: PollForJobsOutput;
    };
    sdk: {
      input: PollForJobsCommandInput;
      output: PollForJobsCommandOutput;
    };
  };
}
