import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import { PutJobFailureResultInput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface PutJobFailureResultCommandInput
  extends PutJobFailureResultInput {}
export interface PutJobFailureResultCommandOutput extends __MetadataBearer {}
declare const PutJobFailureResultCommand_base: {
  new (
    input: PutJobFailureResultCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PutJobFailureResultCommandInput,
    PutJobFailureResultCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: PutJobFailureResultCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PutJobFailureResultCommandInput,
    PutJobFailureResultCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class PutJobFailureResultCommand extends PutJobFailureResultCommand_base {
  protected static __types: {
    api: {
      input: PutJobFailureResultInput;
      output: {};
    };
    sdk: {
      input: PutJobFailureResultCommandInput;
      output: PutJobFailureResultCommandOutput;
    };
  };
}
