import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import {
  StartPipelineExecutionInput,
  StartPipelineExecutionOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface StartPipelineExecutionCommandInput
  extends StartPipelineExecutionInput {}
export interface StartPipelineExecutionCommandOutput
  extends StartPipelineExecutionOutput,
    __MetadataBearer {}
declare const StartPipelineExecutionCommand_base: {
  new (
    input: StartPipelineExecutionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartPipelineExecutionCommandInput,
    StartPipelineExecutionCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StartPipelineExecutionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartPipelineExecutionCommandInput,
    StartPipelineExecutionCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StartPipelineExecutionCommand extends StartPipelineExecutionCommand_base {
  protected static __types: {
    api: {
      input: StartPipelineExecutionInput;
      output: StartPipelineExecutionOutput;
    };
    sdk: {
      input: StartPipelineExecutionCommandInput;
      output: StartPipelineExecutionCommandOutput;
    };
  };
}
