import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import { UpdateActionTypeInput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface UpdateActionTypeCommandInput extends UpdateActionTypeInput {}
export interface UpdateActionTypeCommandOutput extends __MetadataBearer {}
declare const UpdateActionTypeCommand_base: {
  new (
    input: UpdateActionTypeCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    UpdateActionTypeCommandInput,
    UpdateActionTypeCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: UpdateActionTypeCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    UpdateActionTypeCommandInput,
    UpdateActionTypeCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class UpdateActionTypeCommand extends UpdateActionTypeCommand_base {
  protected static __types: {
    api: {
      input: UpdateActionTypeInput;
      output: {};
    };
    sdk: {
      input: UpdateActionTypeCommandInput;
      output: UpdateActionTypeCommandOutput;
    };
  };
}
