"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var index_exports = {};
__export(index_exports, {
  AWSSessionCredentialsFilterSensitiveLog: () => AWSSessionCredentialsFilterSensitiveLog,
  AcknowledgeJobCommand: () => AcknowledgeJobCommand,
  AcknowledgeThirdPartyJobCommand: () => AcknowledgeThirdPartyJobCommand,
  ActionCategory: () => ActionCategory,
  ActionConfigurationPropertyType: () => ActionConfigurationPropertyType,
  ActionExecutionStatus: () => ActionExecutionStatus,
  ActionNotFoundException: () => ActionNotFoundException,
  ActionOwner: () => ActionOwner,
  ActionTypeNotFoundException: () => ActionTypeNotFoundException,
  ApprovalAlreadyCompletedException: () => ApprovalAlreadyCompletedException,
  ApprovalStatus: () => ApprovalStatus,
  ArtifactLocationType: () => ArtifactLocationType,
  ArtifactStoreType: () => ArtifactStoreType,
  BlockerType: () => BlockerType,
  CodePipeline: () => CodePipeline,
  CodePipelineClient: () => CodePipelineClient,
  CodePipelineServiceException: () => CodePipelineServiceException,
  ConcurrentModificationException: () => ConcurrentModificationException,
  ConcurrentPipelineExecutionsLimitExceededException: () => ConcurrentPipelineExecutionsLimitExceededException,
  ConditionExecutionStatus: () => ConditionExecutionStatus,
  ConditionNotOverridableException: () => ConditionNotOverridableException,
  ConditionType: () => ConditionType,
  ConflictException: () => ConflictException,
  CreateCustomActionTypeCommand: () => CreateCustomActionTypeCommand,
  CreatePipelineCommand: () => CreatePipelineCommand,
  DeleteCustomActionTypeCommand: () => DeleteCustomActionTypeCommand,
  DeletePipelineCommand: () => DeletePipelineCommand,
  DeleteWebhookCommand: () => DeleteWebhookCommand,
  DeregisterWebhookWithThirdPartyCommand: () => DeregisterWebhookWithThirdPartyCommand,
  DisableStageTransitionCommand: () => DisableStageTransitionCommand,
  DuplicatedStopRequestException: () => DuplicatedStopRequestException,
  EnableStageTransitionCommand: () => EnableStageTransitionCommand,
  EncryptionKeyType: () => EncryptionKeyType,
  ExecutionMode: () => ExecutionMode,
  ExecutionType: () => ExecutionType,
  ExecutorType: () => ExecutorType,
  FailureType: () => FailureType,
  GetActionTypeCommand: () => GetActionTypeCommand,
  GetJobDetailsCommand: () => GetJobDetailsCommand,
  GetJobDetailsOutputFilterSensitiveLog: () => GetJobDetailsOutputFilterSensitiveLog,
  GetPipelineCommand: () => GetPipelineCommand,
  GetPipelineExecutionCommand: () => GetPipelineExecutionCommand,
  GetPipelineStateCommand: () => GetPipelineStateCommand,
  GetThirdPartyJobDetailsCommand: () => GetThirdPartyJobDetailsCommand,
  GetThirdPartyJobDetailsOutputFilterSensitiveLog: () => GetThirdPartyJobDetailsOutputFilterSensitiveLog,
  GitPullRequestEventType: () => GitPullRequestEventType,
  InvalidActionDeclarationException: () => InvalidActionDeclarationException,
  InvalidApprovalTokenException: () => InvalidApprovalTokenException,
  InvalidArnException: () => InvalidArnException,
  InvalidBlockerDeclarationException: () => InvalidBlockerDeclarationException,
  InvalidClientTokenException: () => InvalidClientTokenException,
  InvalidJobException: () => InvalidJobException,
  InvalidJobStateException: () => InvalidJobStateException,
  InvalidNextTokenException: () => InvalidNextTokenException,
  InvalidNonceException: () => InvalidNonceException,
  InvalidStageDeclarationException: () => InvalidStageDeclarationException,
  InvalidStructureException: () => InvalidStructureException,
  InvalidTagsException: () => InvalidTagsException,
  InvalidWebhookAuthenticationParametersException: () => InvalidWebhookAuthenticationParametersException,
  InvalidWebhookFilterPatternException: () => InvalidWebhookFilterPatternException,
  JobDataFilterSensitiveLog: () => JobDataFilterSensitiveLog,
  JobDetailsFilterSensitiveLog: () => JobDetailsFilterSensitiveLog,
  JobFilterSensitiveLog: () => JobFilterSensitiveLog,
  JobNotFoundException: () => JobNotFoundException,
  JobStatus: () => JobStatus,
  LimitExceededException: () => LimitExceededException,
  ListActionExecutionsCommand: () => ListActionExecutionsCommand,
  ListActionTypesCommand: () => ListActionTypesCommand,
  ListPipelineExecutionsCommand: () => ListPipelineExecutionsCommand,
  ListPipelinesCommand: () => ListPipelinesCommand,
  ListRuleExecutionsCommand: () => ListRuleExecutionsCommand,
  ListRuleTypesCommand: () => ListRuleTypesCommand,
  ListTagsForResourceCommand: () => ListTagsForResourceCommand,
  ListWebhooksCommand: () => ListWebhooksCommand,
  NotLatestPipelineExecutionException: () => NotLatestPipelineExecutionException,
  OutputVariablesSizeExceededException: () => OutputVariablesSizeExceededException,
  OverrideStageConditionCommand: () => OverrideStageConditionCommand,
  PipelineExecutionNotFoundException: () => PipelineExecutionNotFoundException,
  PipelineExecutionNotStoppableException: () => PipelineExecutionNotStoppableException,
  PipelineExecutionOutdatedException: () => PipelineExecutionOutdatedException,
  PipelineExecutionStatus: () => PipelineExecutionStatus,
  PipelineNameInUseException: () => PipelineNameInUseException,
  PipelineNotFoundException: () => PipelineNotFoundException,
  PipelineTriggerProviderType: () => PipelineTriggerProviderType,
  PipelineType: () => PipelineType,
  PipelineVersionNotFoundException: () => PipelineVersionNotFoundException,
  PollForJobsCommand: () => PollForJobsCommand,
  PollForJobsOutputFilterSensitiveLog: () => PollForJobsOutputFilterSensitiveLog,
  PollForThirdPartyJobsCommand: () => PollForThirdPartyJobsCommand,
  PutActionRevisionCommand: () => PutActionRevisionCommand,
  PutApprovalResultCommand: () => PutApprovalResultCommand,
  PutJobFailureResultCommand: () => PutJobFailureResultCommand,
  PutJobSuccessResultCommand: () => PutJobSuccessResultCommand,
  PutThirdPartyJobFailureResultCommand: () => PutThirdPartyJobFailureResultCommand,
  PutThirdPartyJobSuccessResultCommand: () => PutThirdPartyJobSuccessResultCommand,
  PutWebhookCommand: () => PutWebhookCommand,
  RegisterWebhookWithThirdPartyCommand: () => RegisterWebhookWithThirdPartyCommand,
  RequestFailedException: () => RequestFailedException,
  ResourceNotFoundException: () => ResourceNotFoundException,
  Result: () => Result,
  RetryStageExecutionCommand: () => RetryStageExecutionCommand,
  RetryTrigger: () => RetryTrigger,
  RollbackStageCommand: () => RollbackStageCommand,
  RuleCategory: () => RuleCategory,
  RuleConfigurationPropertyType: () => RuleConfigurationPropertyType,
  RuleExecutionStatus: () => RuleExecutionStatus,
  RuleOwner: () => RuleOwner,
  SourceRevisionType: () => SourceRevisionType,
  StageExecutionStatus: () => StageExecutionStatus,
  StageNotFoundException: () => StageNotFoundException,
  StageNotRetryableException: () => StageNotRetryableException,
  StageRetryMode: () => StageRetryMode,
  StageTransitionType: () => StageTransitionType,
  StartPipelineExecutionCommand: () => StartPipelineExecutionCommand,
  StartTimeRange: () => StartTimeRange,
  StopPipelineExecutionCommand: () => StopPipelineExecutionCommand,
  TagResourceCommand: () => TagResourceCommand,
  ThirdPartyJobDataFilterSensitiveLog: () => ThirdPartyJobDataFilterSensitiveLog,
  ThirdPartyJobDetailsFilterSensitiveLog: () => ThirdPartyJobDetailsFilterSensitiveLog,
  TooManyTagsException: () => TooManyTagsException,
  TriggerType: () => TriggerType,
  UnableToRollbackStageException: () => UnableToRollbackStageException,
  UntagResourceCommand: () => UntagResourceCommand,
  UpdateActionTypeCommand: () => UpdateActionTypeCommand,
  UpdatePipelineCommand: () => UpdatePipelineCommand,
  ValidationException: () => ValidationException,
  WebhookAuthenticationType: () => WebhookAuthenticationType,
  WebhookNotFoundException: () => WebhookNotFoundException,
  __Client: () => import_smithy_client.Client,
  paginateListActionExecutions: () => paginateListActionExecutions,
  paginateListActionTypes: () => paginateListActionTypes,
  paginateListPipelineExecutions: () => paginateListPipelineExecutions,
  paginateListPipelines: () => paginateListPipelines,
  paginateListRuleExecutions: () => paginateListRuleExecutions,
  paginateListTagsForResource: () => paginateListTagsForResource,
  paginateListWebhooks: () => paginateListWebhooks
});
module.exports = __toCommonJS(index_exports);

// src/CodePipelineClient.ts
var import_middleware_host_header = require("@aws-sdk/middleware-host-header");
var import_middleware_logger = require("@aws-sdk/middleware-logger");
var import_middleware_recursion_detection = require("@aws-sdk/middleware-recursion-detection");
var import_middleware_user_agent = require("@aws-sdk/middleware-user-agent");
var import_config_resolver = require("@smithy/config-resolver");
var import_core = require("@smithy/core");
var import_middleware_content_length = require("@smithy/middleware-content-length");
var import_middleware_endpoint = require("@smithy/middleware-endpoint");
var import_middleware_retry = require("@smithy/middleware-retry");

var import_httpAuthSchemeProvider = require("./auth/httpAuthSchemeProvider");

// src/endpoint/EndpointParameters.ts
var resolveClientEndpointParameters = /* @__PURE__ */ __name((options) => {
  return Object.assign(options, {
    useDualstackEndpoint: options.useDualstackEndpoint ?? false,
    useFipsEndpoint: options.useFipsEndpoint ?? false,
    defaultSigningName: "codepipeline"
  });
}, "resolveClientEndpointParameters");
var commonParams = {
  UseFIPS: { type: "builtInParams", name: "useFipsEndpoint" },
  Endpoint: { type: "builtInParams", name: "endpoint" },
  Region: { type: "builtInParams", name: "region" },
  UseDualStack: { type: "builtInParams", name: "useDualstackEndpoint" }
};

// src/CodePipelineClient.ts
var import_runtimeConfig = require("././runtimeConfig");

// src/runtimeExtensions.ts
var import_region_config_resolver = require("@aws-sdk/region-config-resolver");
var import_protocol_http = require("@smithy/protocol-http");
var import_smithy_client = require("@smithy/smithy-client");

// src/auth/httpAuthExtensionConfiguration.ts
var getHttpAuthExtensionConfiguration = /* @__PURE__ */ __name((runtimeConfig) => {
  const _httpAuthSchemes = runtimeConfig.httpAuthSchemes;
  let _httpAuthSchemeProvider = runtimeConfig.httpAuthSchemeProvider;
  let _credentials = runtimeConfig.credentials;
  return {
    setHttpAuthScheme(httpAuthScheme) {
      const index = _httpAuthSchemes.findIndex((scheme) => scheme.schemeId === httpAuthScheme.schemeId);
      if (index === -1) {
        _httpAuthSchemes.push(httpAuthScheme);
      } else {
        _httpAuthSchemes.splice(index, 1, httpAuthScheme);
      }
    },
    httpAuthSchemes() {
      return _httpAuthSchemes;
    },
    setHttpAuthSchemeProvider(httpAuthSchemeProvider) {
      _httpAuthSchemeProvider = httpAuthSchemeProvider;
    },
    httpAuthSchemeProvider() {
      return _httpAuthSchemeProvider;
    },
    setCredentials(credentials) {
      _credentials = credentials;
    },
    credentials() {
      return _credentials;
    }
  };
}, "getHttpAuthExtensionConfiguration");
var resolveHttpAuthRuntimeConfig = /* @__PURE__ */ __name((config) => {
  return {
    httpAuthSchemes: config.httpAuthSchemes(),
    httpAuthSchemeProvider: config.httpAuthSchemeProvider(),
    credentials: config.credentials()
  };
}, "resolveHttpAuthRuntimeConfig");

// src/runtimeExtensions.ts
var resolveRuntimeExtensions = /* @__PURE__ */ __name((runtimeConfig, extensions) => {
  const extensionConfiguration = Object.assign(
    (0, import_region_config_resolver.getAwsRegionExtensionConfiguration)(runtimeConfig),
    (0, import_smithy_client.getDefaultExtensionConfiguration)(runtimeConfig),
    (0, import_protocol_http.getHttpHandlerExtensionConfiguration)(runtimeConfig),
    getHttpAuthExtensionConfiguration(runtimeConfig)
  );
  extensions.forEach((extension) => extension.configure(extensionConfiguration));
  return Object.assign(
    runtimeConfig,
    (0, import_region_config_resolver.resolveAwsRegionExtensionConfiguration)(extensionConfiguration),
    (0, import_smithy_client.resolveDefaultRuntimeConfig)(extensionConfiguration),
    (0, import_protocol_http.resolveHttpHandlerRuntimeConfig)(extensionConfiguration),
    resolveHttpAuthRuntimeConfig(extensionConfiguration)
  );
}, "resolveRuntimeExtensions");

// src/CodePipelineClient.ts
var CodePipelineClient = class extends import_smithy_client.Client {
  static {
    __name(this, "CodePipelineClient");
  }
  /**
   * The resolved configuration of CodePipelineClient class. This is resolved and normalized from the {@link CodePipelineClientConfig | constructor configuration interface}.
   */
  config;
  constructor(...[configuration]) {
    const _config_0 = (0, import_runtimeConfig.getRuntimeConfig)(configuration || {});
    super(_config_0);
    this.initConfig = _config_0;
    const _config_1 = resolveClientEndpointParameters(_config_0);
    const _config_2 = (0, import_middleware_user_agent.resolveUserAgentConfig)(_config_1);
    const _config_3 = (0, import_middleware_retry.resolveRetryConfig)(_config_2);
    const _config_4 = (0, import_config_resolver.resolveRegionConfig)(_config_3);
    const _config_5 = (0, import_middleware_host_header.resolveHostHeaderConfig)(_config_4);
    const _config_6 = (0, import_middleware_endpoint.resolveEndpointConfig)(_config_5);
    const _config_7 = (0, import_httpAuthSchemeProvider.resolveHttpAuthSchemeConfig)(_config_6);
    const _config_8 = resolveRuntimeExtensions(_config_7, configuration?.extensions || []);
    this.config = _config_8;
    this.middlewareStack.use((0, import_middleware_user_agent.getUserAgentPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_retry.getRetryPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_content_length.getContentLengthPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_host_header.getHostHeaderPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_logger.getLoggerPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_recursion_detection.getRecursionDetectionPlugin)(this.config));
    this.middlewareStack.use(
      (0, import_core.getHttpAuthSchemeEndpointRuleSetPlugin)(this.config, {
        httpAuthSchemeParametersProvider: import_httpAuthSchemeProvider.defaultCodePipelineHttpAuthSchemeParametersProvider,
        identityProviderConfigProvider: /* @__PURE__ */ __name(async (config) => new import_core.DefaultIdentityProviderConfig({
          "aws.auth#sigv4": config.credentials
        }), "identityProviderConfigProvider")
      })
    );
    this.middlewareStack.use((0, import_core.getHttpSigningPlugin)(this.config));
  }
  /**
   * Destroy underlying resources, like sockets. It's usually not necessary to do this.
   * However in Node.js, it's best to explicitly shut down the client's agent when it is no longer needed.
   * Otherwise, sockets might stay open for quite a long time before the server terminates them.
   */
  destroy() {
    super.destroy();
  }
};

// src/CodePipeline.ts


// src/commands/AcknowledgeJobCommand.ts

var import_middleware_serde = require("@smithy/middleware-serde");


// src/protocols/Aws_json1_1.ts
var import_core2 = require("@aws-sdk/core");


var import_uuid = require("uuid");

// src/models/CodePipelineServiceException.ts

var CodePipelineServiceException = class _CodePipelineServiceException extends import_smithy_client.ServiceException {
  static {
    __name(this, "CodePipelineServiceException");
  }
  /**
   * @internal
   */
  constructor(options) {
    super(options);
    Object.setPrototypeOf(this, _CodePipelineServiceException.prototype);
  }
};

// src/models/models_0.ts

var JobStatus = {
  Created: "Created",
  Dispatched: "Dispatched",
  Failed: "Failed",
  InProgress: "InProgress",
  Queued: "Queued",
  Succeeded: "Succeeded",
  TimedOut: "TimedOut"
};
var InvalidNonceException = class _InvalidNonceException extends CodePipelineServiceException {
  static {
    __name(this, "InvalidNonceException");
  }
  name = "InvalidNonceException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "InvalidNonceException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _InvalidNonceException.prototype);
  }
};
var JobNotFoundException = class _JobNotFoundException extends CodePipelineServiceException {
  static {
    __name(this, "JobNotFoundException");
  }
  name = "JobNotFoundException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "JobNotFoundException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _JobNotFoundException.prototype);
  }
};
var ValidationException = class _ValidationException extends CodePipelineServiceException {
  static {
    __name(this, "ValidationException");
  }
  name = "ValidationException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ValidationException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _ValidationException.prototype);
  }
};
var InvalidClientTokenException = class _InvalidClientTokenException extends CodePipelineServiceException {
  static {
    __name(this, "InvalidClientTokenException");
  }
  name = "InvalidClientTokenException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "InvalidClientTokenException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _InvalidClientTokenException.prototype);
  }
};
var ActionCategory = {
  Approval: "Approval",
  Build: "Build",
  Compute: "Compute",
  Deploy: "Deploy",
  Invoke: "Invoke",
  Source: "Source",
  Test: "Test"
};
var ActionConfigurationPropertyType = {
  Boolean: "Boolean",
  Number: "Number",
  String: "String"
};
var ActionOwner = {
  AWS: "AWS",
  Custom: "Custom",
  ThirdParty: "ThirdParty"
};
var ActionExecutionStatus = {
  Abandoned: "Abandoned",
  Failed: "Failed",
  InProgress: "InProgress",
  Succeeded: "Succeeded"
};
var StartTimeRange = {
  All: "All",
  Latest: "Latest"
};
var ActionNotFoundException = class _ActionNotFoundException extends CodePipelineServiceException {
  static {
    __name(this, "ActionNotFoundException");
  }
  name = "ActionNotFoundException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ActionNotFoundException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _ActionNotFoundException.prototype);
  }
};
var ExecutorType = {
  JobWorker: "JobWorker",
  Lambda: "Lambda"
};
var ActionTypeNotFoundException = class _ActionTypeNotFoundException extends CodePipelineServiceException {
  static {
    __name(this, "ActionTypeNotFoundException");
  }
  name = "ActionTypeNotFoundException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ActionTypeNotFoundException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _ActionTypeNotFoundException.prototype);
  }
};
var ApprovalAlreadyCompletedException = class _ApprovalAlreadyCompletedException extends CodePipelineServiceException {
  static {
    __name(this, "ApprovalAlreadyCompletedException");
  }
  name = "ApprovalAlreadyCompletedException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ApprovalAlreadyCompletedException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _ApprovalAlreadyCompletedException.prototype);
  }
};
var ApprovalStatus = {
  Approved: "Approved",
  Rejected: "Rejected"
};
var ArtifactLocationType = {
  S3: "S3"
};
var EncryptionKeyType = {
  KMS: "KMS"
};
var ArtifactStoreType = {
  S3: "S3"
};
var Result = {
  FAIL: "FAIL",
  RETRY: "RETRY",
  ROLLBACK: "ROLLBACK",
  SKIP: "SKIP"
};
var RuleCategory = {
  Rule: "Rule"
};
var RuleOwner = {
  AWS: "AWS"
};
var BlockerType = {
  Schedule: "Schedule"
};
var ConcurrentModificationException = class _ConcurrentModificationException extends CodePipelineServiceException {
  static {
    __name(this, "ConcurrentModificationException");
  }
  name = "ConcurrentModificationException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ConcurrentModificationException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _ConcurrentModificationException.prototype);
  }
};
var InvalidTagsException = class _InvalidTagsException extends CodePipelineServiceException {
  static {
    __name(this, "InvalidTagsException");
  }
  name = "InvalidTagsException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "InvalidTagsException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _InvalidTagsException.prototype);
  }
};
var LimitExceededException = class _LimitExceededException extends CodePipelineServiceException {
  static {
    __name(this, "LimitExceededException");
  }
  name = "LimitExceededException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "LimitExceededException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _LimitExceededException.prototype);
  }
};
var TooManyTagsException = class _TooManyTagsException extends CodePipelineServiceException {
  static {
    __name(this, "TooManyTagsException");
  }
  name = "TooManyTagsException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "TooManyTagsException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _TooManyTagsException.prototype);
  }
};
var ExecutionMode = {
  PARALLEL: "PARALLEL",
  QUEUED: "QUEUED",
  SUPERSEDED: "SUPERSEDED"
};
var PipelineType = {
  V1: "V1",
  V2: "V2"
};
var StageRetryMode = {
  ALL_ACTIONS: "ALL_ACTIONS",
  FAILED_ACTIONS: "FAILED_ACTIONS"
};
var GitPullRequestEventType = {
  CLOSED: "CLOSED",
  OPEN: "OPEN",
  UPDATED: "UPDATED"
};
var PipelineTriggerProviderType = {
  CodeStarSourceConnection: "CodeStarSourceConnection"
};
var InvalidActionDeclarationException = class _InvalidActionDeclarationException extends CodePipelineServiceException {
  static {
    __name(this, "InvalidActionDeclarationException");
  }
  name = "InvalidActionDeclarationException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "InvalidActionDeclarationException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _InvalidActionDeclarationException.prototype);
  }
};
var InvalidBlockerDeclarationException = class _InvalidBlockerDeclarationException extends CodePipelineServiceException {
  static {
    __name(this, "InvalidBlockerDeclarationException");
  }
  name = "InvalidBlockerDeclarationException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "InvalidBlockerDeclarationException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _InvalidBlockerDeclarationException.prototype);
  }
};
var InvalidStageDeclarationException = class _InvalidStageDeclarationException extends CodePipelineServiceException {
  static {
    __name(this, "InvalidStageDeclarationException");
  }
  name = "InvalidStageDeclarationException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "InvalidStageDeclarationException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _InvalidStageDeclarationException.prototype);
  }
};
var InvalidStructureException = class _InvalidStructureException extends CodePipelineServiceException {
  static {
    __name(this, "InvalidStructureException");
  }
  name = "InvalidStructureException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "InvalidStructureException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _InvalidStructureException.prototype);
  }
};
var PipelineNameInUseException = class _PipelineNameInUseException extends CodePipelineServiceException {
  static {
    __name(this, "PipelineNameInUseException");
  }
  name = "PipelineNameInUseException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "PipelineNameInUseException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _PipelineNameInUseException.prototype);
  }
};
var WebhookNotFoundException = class _WebhookNotFoundException extends CodePipelineServiceException {
  static {
    __name(this, "WebhookNotFoundException");
  }
  name = "WebhookNotFoundException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "WebhookNotFoundException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _WebhookNotFoundException.prototype);
  }
};
var StageTransitionType = {
  Inbound: "Inbound",
  Outbound: "Outbound"
};
var PipelineNotFoundException = class _PipelineNotFoundException extends CodePipelineServiceException {
  static {
    __name(this, "PipelineNotFoundException");
  }
  name = "PipelineNotFoundException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "PipelineNotFoundException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _PipelineNotFoundException.prototype);
  }
};
var StageNotFoundException = class _StageNotFoundException extends CodePipelineServiceException {
  static {
    __name(this, "StageNotFoundException");
  }
  name = "StageNotFoundException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "StageNotFoundException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _StageNotFoundException.prototype);
  }
};
var PipelineVersionNotFoundException = class _PipelineVersionNotFoundException extends CodePipelineServiceException {
  static {
    __name(this, "PipelineVersionNotFoundException");
  }
  name = "PipelineVersionNotFoundException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "PipelineVersionNotFoundException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _PipelineVersionNotFoundException.prototype);
  }
};
var ExecutionType = {
  ROLLBACK: "ROLLBACK",
  STANDARD: "STANDARD"
};
var PipelineExecutionStatus = {
  Cancelled: "Cancelled",
  Failed: "Failed",
  InProgress: "InProgress",
  Stopped: "Stopped",
  Stopping: "Stopping",
  Succeeded: "Succeeded",
  Superseded: "Superseded"
};
var TriggerType = {
  AutomatedRollback: "AutomatedRollback",
  CloudWatchEvent: "CloudWatchEvent",
  CreatePipeline: "CreatePipeline",
  ManualRollback: "ManualRollback",
  PollForSourceChanges: "PollForSourceChanges",
  PutActionRevision: "PutActionRevision",
  StartPipelineExecution: "StartPipelineExecution",
  Webhook: "Webhook",
  WebhookV2: "WebhookV2"
};
var PipelineExecutionNotFoundException = class _PipelineExecutionNotFoundException extends CodePipelineServiceException {
  static {
    __name(this, "PipelineExecutionNotFoundException");
  }
  name = "PipelineExecutionNotFoundException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "PipelineExecutionNotFoundException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _PipelineExecutionNotFoundException.prototype);
  }
};
var ConditionExecutionStatus = {
  Abandoned: "Abandoned",
  Cancelled: "Cancelled",
  Errored: "Errored",
  Failed: "Failed",
  InProgress: "InProgress",
  Overridden: "Overridden",
  Succeeded: "Succeeded"
};
var RuleExecutionStatus = {
  Abandoned: "Abandoned",
  Failed: "Failed",
  InProgress: "InProgress",
  Succeeded: "Succeeded"
};
var StageExecutionStatus = {
  Cancelled: "Cancelled",
  Failed: "Failed",
  InProgress: "InProgress",
  Skipped: "Skipped",
  Stopped: "Stopped",
  Stopping: "Stopping",
  Succeeded: "Succeeded"
};
var RetryTrigger = {
  AutomatedStageRetry: "AutomatedStageRetry",
  ManualStageRetry: "ManualStageRetry"
};
var InvalidJobException = class _InvalidJobException extends CodePipelineServiceException {
  static {
    __name(this, "InvalidJobException");
  }
  name = "InvalidJobException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "InvalidJobException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _InvalidJobException.prototype);
  }
};
var InvalidNextTokenException = class _InvalidNextTokenException extends CodePipelineServiceException {
  static {
    __name(this, "InvalidNextTokenException");
  }
  name = "InvalidNextTokenException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "InvalidNextTokenException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _InvalidNextTokenException.prototype);
  }
};
var RuleConfigurationPropertyType = {
  Boolean: "Boolean",
  Number: "Number",
  String: "String"
};
var InvalidArnException = class _InvalidArnException extends CodePipelineServiceException {
  static {
    __name(this, "InvalidArnException");
  }
  name = "InvalidArnException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "InvalidArnException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _InvalidArnException.prototype);
  }
};
var ResourceNotFoundException = class _ResourceNotFoundException extends CodePipelineServiceException {
  static {
    __name(this, "ResourceNotFoundException");
  }
  name = "ResourceNotFoundException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ResourceNotFoundException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _ResourceNotFoundException.prototype);
  }
};
var WebhookAuthenticationType = {
  GITHUB_HMAC: "GITHUB_HMAC",
  IP: "IP",
  UNAUTHENTICATED: "UNAUTHENTICATED"
};
var ConcurrentPipelineExecutionsLimitExceededException = class _ConcurrentPipelineExecutionsLimitExceededException extends CodePipelineServiceException {
  static {
    __name(this, "ConcurrentPipelineExecutionsLimitExceededException");
  }
  name = "ConcurrentPipelineExecutionsLimitExceededException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ConcurrentPipelineExecutionsLimitExceededException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _ConcurrentPipelineExecutionsLimitExceededException.prototype);
  }
};
var ConditionNotOverridableException = class _ConditionNotOverridableException extends CodePipelineServiceException {
  static {
    __name(this, "ConditionNotOverridableException");
  }
  name = "ConditionNotOverridableException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ConditionNotOverridableException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _ConditionNotOverridableException.prototype);
  }
};
var ConflictException = class _ConflictException extends CodePipelineServiceException {
  static {
    __name(this, "ConflictException");
  }
  name = "ConflictException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ConflictException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _ConflictException.prototype);
  }
};
var NotLatestPipelineExecutionException = class _NotLatestPipelineExecutionException extends CodePipelineServiceException {
  static {
    __name(this, "NotLatestPipelineExecutionException");
  }
  name = "NotLatestPipelineExecutionException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "NotLatestPipelineExecutionException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _NotLatestPipelineExecutionException.prototype);
  }
};
var ConditionType = {
  BEFORE_ENTRY: "BEFORE_ENTRY",
  ON_SUCCESS: "ON_SUCCESS"
};
var InvalidApprovalTokenException = class _InvalidApprovalTokenException extends CodePipelineServiceException {
  static {
    __name(this, "InvalidApprovalTokenException");
  }
  name = "InvalidApprovalTokenException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "InvalidApprovalTokenException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _InvalidApprovalTokenException.prototype);
  }
};
var InvalidJobStateException = class _InvalidJobStateException extends CodePipelineServiceException {
  static {
    __name(this, "InvalidJobStateException");
  }
  name = "InvalidJobStateException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "InvalidJobStateException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _InvalidJobStateException.prototype);
  }
};
var FailureType = {
  ConfigurationError: "ConfigurationError",
  JobFailed: "JobFailed",
  PermissionError: "PermissionError",
  RevisionOutOfSync: "RevisionOutOfSync",
  RevisionUnavailable: "RevisionUnavailable",
  SystemUnavailable: "SystemUnavailable"
};
var OutputVariablesSizeExceededException = class _OutputVariablesSizeExceededException extends CodePipelineServiceException {
  static {
    __name(this, "OutputVariablesSizeExceededException");
  }
  name = "OutputVariablesSizeExceededException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "OutputVariablesSizeExceededException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _OutputVariablesSizeExceededException.prototype);
  }
};
var InvalidWebhookAuthenticationParametersException = class _InvalidWebhookAuthenticationParametersException extends CodePipelineServiceException {
  static {
    __name(this, "InvalidWebhookAuthenticationParametersException");
  }
  name = "InvalidWebhookAuthenticationParametersException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "InvalidWebhookAuthenticationParametersException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _InvalidWebhookAuthenticationParametersException.prototype);
  }
};
var InvalidWebhookFilterPatternException = class _InvalidWebhookFilterPatternException extends CodePipelineServiceException {
  static {
    __name(this, "InvalidWebhookFilterPatternException");
  }
  name = "InvalidWebhookFilterPatternException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "InvalidWebhookFilterPatternException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _InvalidWebhookFilterPatternException.prototype);
  }
};
var StageNotRetryableException = class _StageNotRetryableException extends CodePipelineServiceException {
  static {
    __name(this, "StageNotRetryableException");
  }
  name = "StageNotRetryableException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "StageNotRetryableException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _StageNotRetryableException.prototype);
  }
};
var PipelineExecutionOutdatedException = class _PipelineExecutionOutdatedException extends CodePipelineServiceException {
  static {
    __name(this, "PipelineExecutionOutdatedException");
  }
  name = "PipelineExecutionOutdatedException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "PipelineExecutionOutdatedException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _PipelineExecutionOutdatedException.prototype);
  }
};
var UnableToRollbackStageException = class _UnableToRollbackStageException extends CodePipelineServiceException {
  static {
    __name(this, "UnableToRollbackStageException");
  }
  name = "UnableToRollbackStageException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "UnableToRollbackStageException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _UnableToRollbackStageException.prototype);
  }
};
var SourceRevisionType = {
  COMMIT_ID: "COMMIT_ID",
  IMAGE_DIGEST: "IMAGE_DIGEST",
  S3_OBJECT_KEY: "S3_OBJECT_KEY",
  S3_OBJECT_VERSION_ID: "S3_OBJECT_VERSION_ID"
};
var DuplicatedStopRequestException = class _DuplicatedStopRequestException extends CodePipelineServiceException {
  static {
    __name(this, "DuplicatedStopRequestException");
  }
  name = "DuplicatedStopRequestException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "DuplicatedStopRequestException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _DuplicatedStopRequestException.prototype);
  }
};
var PipelineExecutionNotStoppableException = class _PipelineExecutionNotStoppableException extends CodePipelineServiceException {
  static {
    __name(this, "PipelineExecutionNotStoppableException");
  }
  name = "PipelineExecutionNotStoppableException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "PipelineExecutionNotStoppableException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _PipelineExecutionNotStoppableException.prototype);
  }
};
var RequestFailedException = class _RequestFailedException extends CodePipelineServiceException {
  static {
    __name(this, "RequestFailedException");
  }
  name = "RequestFailedException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "RequestFailedException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _RequestFailedException.prototype);
  }
};
var AWSSessionCredentialsFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.accessKeyId && { accessKeyId: import_smithy_client.SENSITIVE_STRING },
  ...obj.secretAccessKey && { secretAccessKey: import_smithy_client.SENSITIVE_STRING },
  ...obj.sessionToken && { sessionToken: import_smithy_client.SENSITIVE_STRING }
}), "AWSSessionCredentialsFilterSensitiveLog");
var JobDataFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.artifactCredentials && { artifactCredentials: import_smithy_client.SENSITIVE_STRING }
}), "JobDataFilterSensitiveLog");
var JobDetailsFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.data && { data: JobDataFilterSensitiveLog(obj.data) }
}), "JobDetailsFilterSensitiveLog");
var GetJobDetailsOutputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.jobDetails && { jobDetails: JobDetailsFilterSensitiveLog(obj.jobDetails) }
}), "GetJobDetailsOutputFilterSensitiveLog");
var ThirdPartyJobDataFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.artifactCredentials && { artifactCredentials: import_smithy_client.SENSITIVE_STRING }
}), "ThirdPartyJobDataFilterSensitiveLog");
var ThirdPartyJobDetailsFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.data && { data: ThirdPartyJobDataFilterSensitiveLog(obj.data) }
}), "ThirdPartyJobDetailsFilterSensitiveLog");
var GetThirdPartyJobDetailsOutputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.jobDetails && { jobDetails: ThirdPartyJobDetailsFilterSensitiveLog(obj.jobDetails) }
}), "GetThirdPartyJobDetailsOutputFilterSensitiveLog");
var JobFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.data && { data: JobDataFilterSensitiveLog(obj.data) }
}), "JobFilterSensitiveLog");
var PollForJobsOutputFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.jobs && { jobs: obj.jobs.map((item) => JobFilterSensitiveLog(item)) }
}), "PollForJobsOutputFilterSensitiveLog");

// src/protocols/Aws_json1_1.ts
var se_AcknowledgeJobCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("AcknowledgeJob");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_AcknowledgeJobCommand");
var se_AcknowledgeThirdPartyJobCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("AcknowledgeThirdPartyJob");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_AcknowledgeThirdPartyJobCommand");
var se_CreateCustomActionTypeCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("CreateCustomActionType");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_CreateCustomActionTypeCommand");
var se_CreatePipelineCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("CreatePipeline");
  let body;
  body = JSON.stringify(se_CreatePipelineInput(input, context));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_CreatePipelineCommand");
var se_DeleteCustomActionTypeCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("DeleteCustomActionType");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_DeleteCustomActionTypeCommand");
var se_DeletePipelineCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("DeletePipeline");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_DeletePipelineCommand");
var se_DeleteWebhookCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("DeleteWebhook");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_DeleteWebhookCommand");
var se_DeregisterWebhookWithThirdPartyCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("DeregisterWebhookWithThirdParty");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_DeregisterWebhookWithThirdPartyCommand");
var se_DisableStageTransitionCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("DisableStageTransition");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_DisableStageTransitionCommand");
var se_EnableStageTransitionCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("EnableStageTransition");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_EnableStageTransitionCommand");
var se_GetActionTypeCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("GetActionType");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_GetActionTypeCommand");
var se_GetJobDetailsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("GetJobDetails");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_GetJobDetailsCommand");
var se_GetPipelineCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("GetPipeline");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_GetPipelineCommand");
var se_GetPipelineExecutionCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("GetPipelineExecution");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_GetPipelineExecutionCommand");
var se_GetPipelineStateCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("GetPipelineState");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_GetPipelineStateCommand");
var se_GetThirdPartyJobDetailsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("GetThirdPartyJobDetails");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_GetThirdPartyJobDetailsCommand");
var se_ListActionExecutionsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("ListActionExecutions");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_ListActionExecutionsCommand");
var se_ListActionTypesCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("ListActionTypes");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_ListActionTypesCommand");
var se_ListPipelineExecutionsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("ListPipelineExecutions");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_ListPipelineExecutionsCommand");
var se_ListPipelinesCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("ListPipelines");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_ListPipelinesCommand");
var se_ListRuleExecutionsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("ListRuleExecutions");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_ListRuleExecutionsCommand");
var se_ListRuleTypesCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("ListRuleTypes");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_ListRuleTypesCommand");
var se_ListTagsForResourceCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("ListTagsForResource");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_ListTagsForResourceCommand");
var se_ListWebhooksCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("ListWebhooks");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_ListWebhooksCommand");
var se_OverrideStageConditionCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("OverrideStageCondition");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_OverrideStageConditionCommand");
var se_PollForJobsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("PollForJobs");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_PollForJobsCommand");
var se_PollForThirdPartyJobsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("PollForThirdPartyJobs");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_PollForThirdPartyJobsCommand");
var se_PutActionRevisionCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("PutActionRevision");
  let body;
  body = JSON.stringify(se_PutActionRevisionInput(input, context));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_PutActionRevisionCommand");
var se_PutApprovalResultCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("PutApprovalResult");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_PutApprovalResultCommand");
var se_PutJobFailureResultCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("PutJobFailureResult");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_PutJobFailureResultCommand");
var se_PutJobSuccessResultCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("PutJobSuccessResult");
  let body;
  body = JSON.stringify(se_PutJobSuccessResultInput(input, context));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_PutJobSuccessResultCommand");
var se_PutThirdPartyJobFailureResultCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("PutThirdPartyJobFailureResult");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_PutThirdPartyJobFailureResultCommand");
var se_PutThirdPartyJobSuccessResultCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("PutThirdPartyJobSuccessResult");
  let body;
  body = JSON.stringify(se_PutThirdPartyJobSuccessResultInput(input, context));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_PutThirdPartyJobSuccessResultCommand");
var se_PutWebhookCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("PutWebhook");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_PutWebhookCommand");
var se_RegisterWebhookWithThirdPartyCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("RegisterWebhookWithThirdParty");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_RegisterWebhookWithThirdPartyCommand");
var se_RetryStageExecutionCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("RetryStageExecution");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_RetryStageExecutionCommand");
var se_RollbackStageCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("RollbackStage");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_RollbackStageCommand");
var se_StartPipelineExecutionCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("StartPipelineExecution");
  let body;
  body = JSON.stringify(se_StartPipelineExecutionInput(input, context));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_StartPipelineExecutionCommand");
var se_StopPipelineExecutionCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("StopPipelineExecution");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_StopPipelineExecutionCommand");
var se_TagResourceCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("TagResource");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_TagResourceCommand");
var se_UntagResourceCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("UntagResource");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_UntagResourceCommand");
var se_UpdateActionTypeCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("UpdateActionType");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_UpdateActionTypeCommand");
var se_UpdatePipelineCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("UpdatePipeline");
  let body;
  body = JSON.stringify(se_UpdatePipelineInput(input, context));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_UpdatePipelineCommand");
var de_AcknowledgeJobCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_AcknowledgeJobCommand");
var de_AcknowledgeThirdPartyJobCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_AcknowledgeThirdPartyJobCommand");
var de_CreateCustomActionTypeCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_CreateCustomActionTypeCommand");
var de_CreatePipelineCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = de_CreatePipelineOutput(data, context);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_CreatePipelineCommand");
var de_DeleteCustomActionTypeCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  await (0, import_smithy_client.collectBody)(output.body, context);
  const response = {
    $metadata: deserializeMetadata(output)
  };
  return response;
}, "de_DeleteCustomActionTypeCommand");
var de_DeletePipelineCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  await (0, import_smithy_client.collectBody)(output.body, context);
  const response = {
    $metadata: deserializeMetadata(output)
  };
  return response;
}, "de_DeletePipelineCommand");
var de_DeleteWebhookCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_DeleteWebhookCommand");
var de_DeregisterWebhookWithThirdPartyCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_DeregisterWebhookWithThirdPartyCommand");
var de_DisableStageTransitionCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  await (0, import_smithy_client.collectBody)(output.body, context);
  const response = {
    $metadata: deserializeMetadata(output)
  };
  return response;
}, "de_DisableStageTransitionCommand");
var de_EnableStageTransitionCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  await (0, import_smithy_client.collectBody)(output.body, context);
  const response = {
    $metadata: deserializeMetadata(output)
  };
  return response;
}, "de_EnableStageTransitionCommand");
var de_GetActionTypeCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_GetActionTypeCommand");
var de_GetJobDetailsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_GetJobDetailsCommand");
var de_GetPipelineCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = de_GetPipelineOutput(data, context);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_GetPipelineCommand");
var de_GetPipelineExecutionCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = de_GetPipelineExecutionOutput(data, context);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_GetPipelineExecutionCommand");
var de_GetPipelineStateCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = de_GetPipelineStateOutput(data, context);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_GetPipelineStateCommand");
var de_GetThirdPartyJobDetailsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_GetThirdPartyJobDetailsCommand");
var de_ListActionExecutionsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = de_ListActionExecutionsOutput(data, context);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_ListActionExecutionsCommand");
var de_ListActionTypesCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_ListActionTypesCommand");
var de_ListPipelineExecutionsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = de_ListPipelineExecutionsOutput(data, context);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_ListPipelineExecutionsCommand");
var de_ListPipelinesCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = de_ListPipelinesOutput(data, context);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_ListPipelinesCommand");
var de_ListRuleExecutionsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = de_ListRuleExecutionsOutput(data, context);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_ListRuleExecutionsCommand");
var de_ListRuleTypesCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_ListRuleTypesCommand");
var de_ListTagsForResourceCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_ListTagsForResourceCommand");
var de_ListWebhooksCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = de_ListWebhooksOutput(data, context);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_ListWebhooksCommand");
var de_OverrideStageConditionCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  await (0, import_smithy_client.collectBody)(output.body, context);
  const response = {
    $metadata: deserializeMetadata(output)
  };
  return response;
}, "de_OverrideStageConditionCommand");
var de_PollForJobsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_PollForJobsCommand");
var de_PollForThirdPartyJobsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_PollForThirdPartyJobsCommand");
var de_PutActionRevisionCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_PutActionRevisionCommand");
var de_PutApprovalResultCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = de_PutApprovalResultOutput(data, context);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_PutApprovalResultCommand");
var de_PutJobFailureResultCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  await (0, import_smithy_client.collectBody)(output.body, context);
  const response = {
    $metadata: deserializeMetadata(output)
  };
  return response;
}, "de_PutJobFailureResultCommand");
var de_PutJobSuccessResultCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  await (0, import_smithy_client.collectBody)(output.body, context);
  const response = {
    $metadata: deserializeMetadata(output)
  };
  return response;
}, "de_PutJobSuccessResultCommand");
var de_PutThirdPartyJobFailureResultCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  await (0, import_smithy_client.collectBody)(output.body, context);
  const response = {
    $metadata: deserializeMetadata(output)
  };
  return response;
}, "de_PutThirdPartyJobFailureResultCommand");
var de_PutThirdPartyJobSuccessResultCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  await (0, import_smithy_client.collectBody)(output.body, context);
  const response = {
    $metadata: deserializeMetadata(output)
  };
  return response;
}, "de_PutThirdPartyJobSuccessResultCommand");
var de_PutWebhookCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = de_PutWebhookOutput(data, context);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_PutWebhookCommand");
var de_RegisterWebhookWithThirdPartyCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_RegisterWebhookWithThirdPartyCommand");
var de_RetryStageExecutionCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_RetryStageExecutionCommand");
var de_RollbackStageCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_RollbackStageCommand");
var de_StartPipelineExecutionCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_StartPipelineExecutionCommand");
var de_StopPipelineExecutionCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_StopPipelineExecutionCommand");
var de_TagResourceCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_TagResourceCommand");
var de_UntagResourceCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_UntagResourceCommand");
var de_UpdateActionTypeCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  await (0, import_smithy_client.collectBody)(output.body, context);
  const response = {
    $metadata: deserializeMetadata(output)
  };
  return response;
}, "de_UpdateActionTypeCommand");
var de_UpdatePipelineCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = de_UpdatePipelineOutput(data, context);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_UpdatePipelineCommand");
var de_CommandError = /* @__PURE__ */ __name(async (output, context) => {
  const parsedOutput = {
    ...output,
    body: await (0, import_core2.parseJsonErrorBody)(output.body, context)
  };
  const errorCode = (0, import_core2.loadRestJsonErrorCode)(output, parsedOutput.body);
  switch (errorCode) {
    case "InvalidNonceException":
    case "com.amazonaws.codepipeline#InvalidNonceException":
      throw await de_InvalidNonceExceptionRes(parsedOutput, context);
    case "JobNotFoundException":
    case "com.amazonaws.codepipeline#JobNotFoundException":
      throw await de_JobNotFoundExceptionRes(parsedOutput, context);
    case "ValidationException":
    case "com.amazonaws.codepipeline#ValidationException":
      throw await de_ValidationExceptionRes(parsedOutput, context);
    case "InvalidClientTokenException":
    case "com.amazonaws.codepipeline#InvalidClientTokenException":
      throw await de_InvalidClientTokenExceptionRes(parsedOutput, context);
    case "ConcurrentModificationException":
    case "com.amazonaws.codepipeline#ConcurrentModificationException":
      throw await de_ConcurrentModificationExceptionRes(parsedOutput, context);
    case "InvalidTagsException":
    case "com.amazonaws.codepipeline#InvalidTagsException":
      throw await de_InvalidTagsExceptionRes(parsedOutput, context);
    case "LimitExceededException":
    case "com.amazonaws.codepipeline#LimitExceededException":
      throw await de_LimitExceededExceptionRes(parsedOutput, context);
    case "TooManyTagsException":
    case "com.amazonaws.codepipeline#TooManyTagsException":
      throw await de_TooManyTagsExceptionRes(parsedOutput, context);
    case "InvalidActionDeclarationException":
    case "com.amazonaws.codepipeline#InvalidActionDeclarationException":
      throw await de_InvalidActionDeclarationExceptionRes(parsedOutput, context);
    case "InvalidBlockerDeclarationException":
    case "com.amazonaws.codepipeline#InvalidBlockerDeclarationException":
      throw await de_InvalidBlockerDeclarationExceptionRes(parsedOutput, context);
    case "InvalidStageDeclarationException":
    case "com.amazonaws.codepipeline#InvalidStageDeclarationException":
      throw await de_InvalidStageDeclarationExceptionRes(parsedOutput, context);
    case "InvalidStructureException":
    case "com.amazonaws.codepipeline#InvalidStructureException":
      throw await de_InvalidStructureExceptionRes(parsedOutput, context);
    case "PipelineNameInUseException":
    case "com.amazonaws.codepipeline#PipelineNameInUseException":
      throw await de_PipelineNameInUseExceptionRes(parsedOutput, context);
    case "WebhookNotFoundException":
    case "com.amazonaws.codepipeline#WebhookNotFoundException":
      throw await de_WebhookNotFoundExceptionRes(parsedOutput, context);
    case "PipelineNotFoundException":
    case "com.amazonaws.codepipeline#PipelineNotFoundException":
      throw await de_PipelineNotFoundExceptionRes(parsedOutput, context);
    case "StageNotFoundException":
    case "com.amazonaws.codepipeline#StageNotFoundException":
      throw await de_StageNotFoundExceptionRes(parsedOutput, context);
    case "ActionTypeNotFoundException":
    case "com.amazonaws.codepipeline#ActionTypeNotFoundException":
      throw await de_ActionTypeNotFoundExceptionRes(parsedOutput, context);
    case "PipelineVersionNotFoundException":
    case "com.amazonaws.codepipeline#PipelineVersionNotFoundException":
      throw await de_PipelineVersionNotFoundExceptionRes(parsedOutput, context);
    case "PipelineExecutionNotFoundException":
    case "com.amazonaws.codepipeline#PipelineExecutionNotFoundException":
      throw await de_PipelineExecutionNotFoundExceptionRes(parsedOutput, context);
    case "InvalidJobException":
    case "com.amazonaws.codepipeline#InvalidJobException":
      throw await de_InvalidJobExceptionRes(parsedOutput, context);
    case "InvalidNextTokenException":
    case "com.amazonaws.codepipeline#InvalidNextTokenException":
      throw await de_InvalidNextTokenExceptionRes(parsedOutput, context);
    case "InvalidArnException":
    case "com.amazonaws.codepipeline#InvalidArnException":
      throw await de_InvalidArnExceptionRes(parsedOutput, context);
    case "ResourceNotFoundException":
    case "com.amazonaws.codepipeline#ResourceNotFoundException":
      throw await de_ResourceNotFoundExceptionRes(parsedOutput, context);
    case "ConcurrentPipelineExecutionsLimitExceededException":
    case "com.amazonaws.codepipeline#ConcurrentPipelineExecutionsLimitExceededException":
      throw await de_ConcurrentPipelineExecutionsLimitExceededExceptionRes(parsedOutput, context);
    case "ConditionNotOverridableException":
    case "com.amazonaws.codepipeline#ConditionNotOverridableException":
      throw await de_ConditionNotOverridableExceptionRes(parsedOutput, context);
    case "ConflictException":
    case "com.amazonaws.codepipeline#ConflictException":
      throw await de_ConflictExceptionRes(parsedOutput, context);
    case "NotLatestPipelineExecutionException":
    case "com.amazonaws.codepipeline#NotLatestPipelineExecutionException":
      throw await de_NotLatestPipelineExecutionExceptionRes(parsedOutput, context);
    case "ActionNotFoundException":
    case "com.amazonaws.codepipeline#ActionNotFoundException":
      throw await de_ActionNotFoundExceptionRes(parsedOutput, context);
    case "ApprovalAlreadyCompletedException":
    case "com.amazonaws.codepipeline#ApprovalAlreadyCompletedException":
      throw await de_ApprovalAlreadyCompletedExceptionRes(parsedOutput, context);
    case "InvalidApprovalTokenException":
    case "com.amazonaws.codepipeline#InvalidApprovalTokenException":
      throw await de_InvalidApprovalTokenExceptionRes(parsedOutput, context);
    case "InvalidJobStateException":
    case "com.amazonaws.codepipeline#InvalidJobStateException":
      throw await de_InvalidJobStateExceptionRes(parsedOutput, context);
    case "OutputVariablesSizeExceededException":
    case "com.amazonaws.codepipeline#OutputVariablesSizeExceededException":
      throw await de_OutputVariablesSizeExceededExceptionRes(parsedOutput, context);
    case "InvalidWebhookAuthenticationParametersException":
    case "com.amazonaws.codepipeline#InvalidWebhookAuthenticationParametersException":
      throw await de_InvalidWebhookAuthenticationParametersExceptionRes(parsedOutput, context);
    case "InvalidWebhookFilterPatternException":
    case "com.amazonaws.codepipeline#InvalidWebhookFilterPatternException":
      throw await de_InvalidWebhookFilterPatternExceptionRes(parsedOutput, context);
    case "StageNotRetryableException":
    case "com.amazonaws.codepipeline#StageNotRetryableException":
      throw await de_StageNotRetryableExceptionRes(parsedOutput, context);
    case "PipelineExecutionOutdatedException":
    case "com.amazonaws.codepipeline#PipelineExecutionOutdatedException":
      throw await de_PipelineExecutionOutdatedExceptionRes(parsedOutput, context);
    case "UnableToRollbackStageException":
    case "com.amazonaws.codepipeline#UnableToRollbackStageException":
      throw await de_UnableToRollbackStageExceptionRes(parsedOutput, context);
    case "DuplicatedStopRequestException":
    case "com.amazonaws.codepipeline#DuplicatedStopRequestException":
      throw await de_DuplicatedStopRequestExceptionRes(parsedOutput, context);
    case "PipelineExecutionNotStoppableException":
    case "com.amazonaws.codepipeline#PipelineExecutionNotStoppableException":
      throw await de_PipelineExecutionNotStoppableExceptionRes(parsedOutput, context);
    case "RequestFailedException":
    case "com.amazonaws.codepipeline#RequestFailedException":
      throw await de_RequestFailedExceptionRes(parsedOutput, context);
    default:
      const parsedBody = parsedOutput.body;
      return throwDefaultError({
        output,
        parsedBody,
        errorCode
      });
  }
}, "de_CommandError");
var de_ActionNotFoundExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new ActionNotFoundException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_ActionNotFoundExceptionRes");
var de_ActionTypeNotFoundExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new ActionTypeNotFoundException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_ActionTypeNotFoundExceptionRes");
var de_ApprovalAlreadyCompletedExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new ApprovalAlreadyCompletedException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_ApprovalAlreadyCompletedExceptionRes");
var de_ConcurrentModificationExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new ConcurrentModificationException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_ConcurrentModificationExceptionRes");
var de_ConcurrentPipelineExecutionsLimitExceededExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new ConcurrentPipelineExecutionsLimitExceededException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_ConcurrentPipelineExecutionsLimitExceededExceptionRes");
var de_ConditionNotOverridableExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new ConditionNotOverridableException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_ConditionNotOverridableExceptionRes");
var de_ConflictExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new ConflictException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_ConflictExceptionRes");
var de_DuplicatedStopRequestExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new DuplicatedStopRequestException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_DuplicatedStopRequestExceptionRes");
var de_InvalidActionDeclarationExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new InvalidActionDeclarationException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_InvalidActionDeclarationExceptionRes");
var de_InvalidApprovalTokenExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new InvalidApprovalTokenException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_InvalidApprovalTokenExceptionRes");
var de_InvalidArnExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new InvalidArnException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_InvalidArnExceptionRes");
var de_InvalidBlockerDeclarationExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new InvalidBlockerDeclarationException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_InvalidBlockerDeclarationExceptionRes");
var de_InvalidClientTokenExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new InvalidClientTokenException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_InvalidClientTokenExceptionRes");
var de_InvalidJobExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new InvalidJobException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_InvalidJobExceptionRes");
var de_InvalidJobStateExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new InvalidJobStateException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_InvalidJobStateExceptionRes");
var de_InvalidNextTokenExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new InvalidNextTokenException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_InvalidNextTokenExceptionRes");
var de_InvalidNonceExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new InvalidNonceException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_InvalidNonceExceptionRes");
var de_InvalidStageDeclarationExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new InvalidStageDeclarationException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_InvalidStageDeclarationExceptionRes");
var de_InvalidStructureExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new InvalidStructureException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_InvalidStructureExceptionRes");
var de_InvalidTagsExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new InvalidTagsException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_InvalidTagsExceptionRes");
var de_InvalidWebhookAuthenticationParametersExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new InvalidWebhookAuthenticationParametersException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_InvalidWebhookAuthenticationParametersExceptionRes");
var de_InvalidWebhookFilterPatternExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new InvalidWebhookFilterPatternException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_InvalidWebhookFilterPatternExceptionRes");
var de_JobNotFoundExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new JobNotFoundException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_JobNotFoundExceptionRes");
var de_LimitExceededExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new LimitExceededException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_LimitExceededExceptionRes");
var de_NotLatestPipelineExecutionExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new NotLatestPipelineExecutionException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_NotLatestPipelineExecutionExceptionRes");
var de_OutputVariablesSizeExceededExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new OutputVariablesSizeExceededException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_OutputVariablesSizeExceededExceptionRes");
var de_PipelineExecutionNotFoundExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new PipelineExecutionNotFoundException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_PipelineExecutionNotFoundExceptionRes");
var de_PipelineExecutionNotStoppableExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new PipelineExecutionNotStoppableException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_PipelineExecutionNotStoppableExceptionRes");
var de_PipelineExecutionOutdatedExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new PipelineExecutionOutdatedException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_PipelineExecutionOutdatedExceptionRes");
var de_PipelineNameInUseExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new PipelineNameInUseException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_PipelineNameInUseExceptionRes");
var de_PipelineNotFoundExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new PipelineNotFoundException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_PipelineNotFoundExceptionRes");
var de_PipelineVersionNotFoundExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new PipelineVersionNotFoundException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_PipelineVersionNotFoundExceptionRes");
var de_RequestFailedExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new RequestFailedException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_RequestFailedExceptionRes");
var de_ResourceNotFoundExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new ResourceNotFoundException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_ResourceNotFoundExceptionRes");
var de_StageNotFoundExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new StageNotFoundException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_StageNotFoundExceptionRes");
var de_StageNotRetryableExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new StageNotRetryableException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_StageNotRetryableExceptionRes");
var de_TooManyTagsExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new TooManyTagsException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_TooManyTagsExceptionRes");
var de_UnableToRollbackStageExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new UnableToRollbackStageException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_UnableToRollbackStageExceptionRes");
var de_ValidationExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new ValidationException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_ValidationExceptionRes");
var de_WebhookNotFoundExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new WebhookNotFoundException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_WebhookNotFoundExceptionRes");
var se_ActionRevision = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    created: /* @__PURE__ */ __name((_) => _.getTime() / 1e3, "created"),
    revisionChangeId: [],
    revisionId: []
  });
}, "se_ActionRevision");
var se_CreatePipelineInput = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    pipeline: import_smithy_client._json,
    tags: import_smithy_client._json
  });
}, "se_CreatePipelineInput");
var se_CurrentRevision = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    changeIdentifier: [],
    created: /* @__PURE__ */ __name((_) => _.getTime() / 1e3, "created"),
    revision: [],
    revisionSummary: []
  });
}, "se_CurrentRevision");
var se_PutActionRevisionInput = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    actionName: [],
    actionRevision: /* @__PURE__ */ __name((_) => se_ActionRevision(_, context), "actionRevision"),
    pipelineName: [],
    stageName: []
  });
}, "se_PutActionRevisionInput");
var se_PutJobSuccessResultInput = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    continuationToken: [],
    currentRevision: /* @__PURE__ */ __name((_) => se_CurrentRevision(_, context), "currentRevision"),
    executionDetails: import_smithy_client._json,
    jobId: [],
    outputVariables: import_smithy_client._json
  });
}, "se_PutJobSuccessResultInput");
var se_PutThirdPartyJobSuccessResultInput = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    clientToken: [],
    continuationToken: [],
    currentRevision: /* @__PURE__ */ __name((_) => se_CurrentRevision(_, context), "currentRevision"),
    executionDetails: import_smithy_client._json,
    jobId: []
  });
}, "se_PutThirdPartyJobSuccessResultInput");
var se_StartPipelineExecutionInput = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    clientRequestToken: [true, (_) => _ ?? (0, import_uuid.v4)()],
    name: [],
    sourceRevisions: import_smithy_client._json,
    variables: import_smithy_client._json
  });
}, "se_StartPipelineExecutionInput");
var se_UpdatePipelineInput = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    pipeline: import_smithy_client._json
  });
}, "se_UpdatePipelineInput");
var de_ActionExecution = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    actionExecutionId: import_smithy_client.expectString,
    errorDetails: import_smithy_client._json,
    externalExecutionId: import_smithy_client.expectString,
    externalExecutionUrl: import_smithy_client.expectString,
    lastStatusChange: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "lastStatusChange"),
    lastUpdatedBy: import_smithy_client.expectString,
    logStreamARN: import_smithy_client.expectString,
    percentComplete: import_smithy_client.expectInt32,
    status: import_smithy_client.expectString,
    summary: import_smithy_client.expectString,
    token: import_smithy_client.expectString
  });
}, "de_ActionExecution");
var de_ActionExecutionDetail = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    actionExecutionId: import_smithy_client.expectString,
    actionName: import_smithy_client.expectString,
    input: import_smithy_client._json,
    lastUpdateTime: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "lastUpdateTime"),
    output: import_smithy_client._json,
    pipelineExecutionId: import_smithy_client.expectString,
    pipelineVersion: import_smithy_client.expectInt32,
    stageName: import_smithy_client.expectString,
    startTime: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "startTime"),
    status: import_smithy_client.expectString,
    updatedBy: import_smithy_client.expectString
  });
}, "de_ActionExecutionDetail");
var de_ActionExecutionDetailList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_ActionExecutionDetail(entry, context);
  });
  return retVal;
}, "de_ActionExecutionDetailList");
var de_ActionRevision = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    created: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "created"),
    revisionChangeId: import_smithy_client.expectString,
    revisionId: import_smithy_client.expectString
  });
}, "de_ActionRevision");
var de_ActionState = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    actionName: import_smithy_client.expectString,
    currentRevision: /* @__PURE__ */ __name((_) => de_ActionRevision(_, context), "currentRevision"),
    entityUrl: import_smithy_client.expectString,
    latestExecution: /* @__PURE__ */ __name((_) => de_ActionExecution(_, context), "latestExecution"),
    revisionUrl: import_smithy_client.expectString
  });
}, "de_ActionState");
var de_ActionStateList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_ActionState(entry, context);
  });
  return retVal;
}, "de_ActionStateList");
var de_ArtifactRevision = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    created: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "created"),
    name: import_smithy_client.expectString,
    revisionChangeIdentifier: import_smithy_client.expectString,
    revisionId: import_smithy_client.expectString,
    revisionSummary: import_smithy_client.expectString,
    revisionUrl: import_smithy_client.expectString
  });
}, "de_ArtifactRevision");
var de_ArtifactRevisionList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_ArtifactRevision(entry, context);
  });
  return retVal;
}, "de_ArtifactRevisionList");
var de_ConditionExecution = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    lastStatusChange: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "lastStatusChange"),
    status: import_smithy_client.expectString,
    summary: import_smithy_client.expectString
  });
}, "de_ConditionExecution");
var de_ConditionState = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    latestExecution: /* @__PURE__ */ __name((_) => de_ConditionExecution(_, context), "latestExecution"),
    ruleStates: /* @__PURE__ */ __name((_) => de_RuleStateList(_, context), "ruleStates")
  });
}, "de_ConditionState");
var de_ConditionStateList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_ConditionState(entry, context);
  });
  return retVal;
}, "de_ConditionStateList");
var de_CreatePipelineOutput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    pipeline: import_smithy_client._json,
    tags: import_smithy_client._json
  });
}, "de_CreatePipelineOutput");
var de_GetPipelineExecutionOutput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    pipelineExecution: /* @__PURE__ */ __name((_) => de_PipelineExecution(_, context), "pipelineExecution")
  });
}, "de_GetPipelineExecutionOutput");
var de_GetPipelineOutput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    metadata: /* @__PURE__ */ __name((_) => de_PipelineMetadata(_, context), "metadata"),
    pipeline: import_smithy_client._json
  });
}, "de_GetPipelineOutput");
var de_GetPipelineStateOutput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    created: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "created"),
    pipelineName: import_smithy_client.expectString,
    pipelineVersion: import_smithy_client.expectInt32,
    stageStates: /* @__PURE__ */ __name((_) => de_StageStateList(_, context), "stageStates"),
    updated: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "updated")
  });
}, "de_GetPipelineStateOutput");
var de_ListActionExecutionsOutput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    actionExecutionDetails: /* @__PURE__ */ __name((_) => de_ActionExecutionDetailList(_, context), "actionExecutionDetails"),
    nextToken: import_smithy_client.expectString
  });
}, "de_ListActionExecutionsOutput");
var de_ListPipelineExecutionsOutput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    nextToken: import_smithy_client.expectString,
    pipelineExecutionSummaries: /* @__PURE__ */ __name((_) => de_PipelineExecutionSummaryList(_, context), "pipelineExecutionSummaries")
  });
}, "de_ListPipelineExecutionsOutput");
var de_ListPipelinesOutput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    nextToken: import_smithy_client.expectString,
    pipelines: /* @__PURE__ */ __name((_) => de_PipelineList(_, context), "pipelines")
  });
}, "de_ListPipelinesOutput");
var de_ListRuleExecutionsOutput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    nextToken: import_smithy_client.expectString,
    ruleExecutionDetails: /* @__PURE__ */ __name((_) => de_RuleExecutionDetailList(_, context), "ruleExecutionDetails")
  });
}, "de_ListRuleExecutionsOutput");
var de_ListWebhookItem = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    arn: import_smithy_client.expectString,
    definition: import_smithy_client._json,
    errorCode: import_smithy_client.expectString,
    errorMessage: import_smithy_client.expectString,
    lastTriggered: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "lastTriggered"),
    tags: import_smithy_client._json,
    url: import_smithy_client.expectString
  });
}, "de_ListWebhookItem");
var de_ListWebhooksOutput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    NextToken: import_smithy_client.expectString,
    webhooks: /* @__PURE__ */ __name((_) => de_WebhookList(_, context), "webhooks")
  });
}, "de_ListWebhooksOutput");
var de_PipelineExecution = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    artifactRevisions: /* @__PURE__ */ __name((_) => de_ArtifactRevisionList(_, context), "artifactRevisions"),
    executionMode: import_smithy_client.expectString,
    executionType: import_smithy_client.expectString,
    pipelineExecutionId: import_smithy_client.expectString,
    pipelineName: import_smithy_client.expectString,
    pipelineVersion: import_smithy_client.expectInt32,
    rollbackMetadata: import_smithy_client._json,
    status: import_smithy_client.expectString,
    statusSummary: import_smithy_client.expectString,
    trigger: import_smithy_client._json,
    variables: import_smithy_client._json
  });
}, "de_PipelineExecution");
var de_PipelineExecutionSummary = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    executionMode: import_smithy_client.expectString,
    executionType: import_smithy_client.expectString,
    lastUpdateTime: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "lastUpdateTime"),
    pipelineExecutionId: import_smithy_client.expectString,
    rollbackMetadata: import_smithy_client._json,
    sourceRevisions: import_smithy_client._json,
    startTime: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "startTime"),
    status: import_smithy_client.expectString,
    statusSummary: import_smithy_client.expectString,
    stopTrigger: import_smithy_client._json,
    trigger: import_smithy_client._json
  });
}, "de_PipelineExecutionSummary");
var de_PipelineExecutionSummaryList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_PipelineExecutionSummary(entry, context);
  });
  return retVal;
}, "de_PipelineExecutionSummaryList");
var de_PipelineList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_PipelineSummary(entry, context);
  });
  return retVal;
}, "de_PipelineList");
var de_PipelineMetadata = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    created: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "created"),
    pipelineArn: import_smithy_client.expectString,
    pollingDisabledAt: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "pollingDisabledAt"),
    updated: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "updated")
  });
}, "de_PipelineMetadata");
var de_PipelineSummary = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    created: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "created"),
    executionMode: import_smithy_client.expectString,
    name: import_smithy_client.expectString,
    pipelineType: import_smithy_client.expectString,
    updated: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "updated"),
    version: import_smithy_client.expectInt32
  });
}, "de_PipelineSummary");
var de_PutApprovalResultOutput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    approvedAt: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "approvedAt")
  });
}, "de_PutApprovalResultOutput");
var de_PutWebhookOutput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    webhook: /* @__PURE__ */ __name((_) => de_ListWebhookItem(_, context), "webhook")
  });
}, "de_PutWebhookOutput");
var de_RuleExecution = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    errorDetails: import_smithy_client._json,
    externalExecutionId: import_smithy_client.expectString,
    externalExecutionUrl: import_smithy_client.expectString,
    lastStatusChange: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "lastStatusChange"),
    lastUpdatedBy: import_smithy_client.expectString,
    ruleExecutionId: import_smithy_client.expectString,
    status: import_smithy_client.expectString,
    summary: import_smithy_client.expectString,
    token: import_smithy_client.expectString
  });
}, "de_RuleExecution");
var de_RuleExecutionDetail = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    input: import_smithy_client._json,
    lastUpdateTime: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "lastUpdateTime"),
    output: import_smithy_client._json,
    pipelineExecutionId: import_smithy_client.expectString,
    pipelineVersion: import_smithy_client.expectInt32,
    ruleExecutionId: import_smithy_client.expectString,
    ruleName: import_smithy_client.expectString,
    stageName: import_smithy_client.expectString,
    startTime: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "startTime"),
    status: import_smithy_client.expectString,
    updatedBy: import_smithy_client.expectString
  });
}, "de_RuleExecutionDetail");
var de_RuleExecutionDetailList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_RuleExecutionDetail(entry, context);
  });
  return retVal;
}, "de_RuleExecutionDetailList");
var de_RuleRevision = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    created: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "created"),
    revisionChangeId: import_smithy_client.expectString,
    revisionId: import_smithy_client.expectString
  });
}, "de_RuleRevision");
var de_RuleState = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    currentRevision: /* @__PURE__ */ __name((_) => de_RuleRevision(_, context), "currentRevision"),
    entityUrl: import_smithy_client.expectString,
    latestExecution: /* @__PURE__ */ __name((_) => de_RuleExecution(_, context), "latestExecution"),
    revisionUrl: import_smithy_client.expectString,
    ruleName: import_smithy_client.expectString
  });
}, "de_RuleState");
var de_RuleStateList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_RuleState(entry, context);
  });
  return retVal;
}, "de_RuleStateList");
var de_StageConditionState = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    conditionStates: /* @__PURE__ */ __name((_) => de_ConditionStateList(_, context), "conditionStates"),
    latestExecution: import_smithy_client._json
  });
}, "de_StageConditionState");
var de_StageState = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    actionStates: /* @__PURE__ */ __name((_) => de_ActionStateList(_, context), "actionStates"),
    beforeEntryConditionState: /* @__PURE__ */ __name((_) => de_StageConditionState(_, context), "beforeEntryConditionState"),
    inboundExecution: import_smithy_client._json,
    inboundExecutions: import_smithy_client._json,
    inboundTransitionState: /* @__PURE__ */ __name((_) => de_TransitionState(_, context), "inboundTransitionState"),
    latestExecution: import_smithy_client._json,
    onFailureConditionState: /* @__PURE__ */ __name((_) => de_StageConditionState(_, context), "onFailureConditionState"),
    onSuccessConditionState: /* @__PURE__ */ __name((_) => de_StageConditionState(_, context), "onSuccessConditionState"),
    retryStageMetadata: import_smithy_client._json,
    stageName: import_smithy_client.expectString
  });
}, "de_StageState");
var de_StageStateList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_StageState(entry, context);
  });
  return retVal;
}, "de_StageStateList");
var de_TransitionState = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    disabledReason: import_smithy_client.expectString,
    enabled: import_smithy_client.expectBoolean,
    lastChangedAt: /* @__PURE__ */ __name((_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))), "lastChangedAt"),
    lastChangedBy: import_smithy_client.expectString
  });
}, "de_TransitionState");
var de_UpdatePipelineOutput = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    pipeline: import_smithy_client._json
  });
}, "de_UpdatePipelineOutput");
var de_WebhookList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_ListWebhookItem(entry, context);
  });
  return retVal;
}, "de_WebhookList");
var deserializeMetadata = /* @__PURE__ */ __name((output) => ({
  httpStatusCode: output.statusCode,
  requestId: output.headers["x-amzn-requestid"] ?? output.headers["x-amzn-request-id"] ?? output.headers["x-amz-request-id"],
  extendedRequestId: output.headers["x-amz-id-2"],
  cfId: output.headers["x-amz-cf-id"]
}), "deserializeMetadata");
var throwDefaultError = (0, import_smithy_client.withBaseException)(CodePipelineServiceException);
var buildHttpRpcRequest = /* @__PURE__ */ __name(async (context, headers, path, resolvedHostname, body) => {
  const { hostname, protocol = "https", port, path: basePath } = await context.endpoint();
  const contents = {
    protocol,
    hostname,
    port,
    method: "POST",
    path: basePath.endsWith("/") ? basePath.slice(0, -1) + path : basePath + path,
    headers
  };
  if (resolvedHostname !== void 0) {
    contents.hostname = resolvedHostname;
  }
  if (body !== void 0) {
    contents.body = body;
  }
  return new import_protocol_http.HttpRequest(contents);
}, "buildHttpRpcRequest");
function sharedHeaders(operation) {
  return {
    "content-type": "application/x-amz-json-1.1",
    "x-amz-target": `CodePipeline_20150709.${operation}`
  };
}
__name(sharedHeaders, "sharedHeaders");

// src/commands/AcknowledgeJobCommand.ts
var AcknowledgeJobCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "AcknowledgeJob", {}).n("CodePipelineClient", "AcknowledgeJobCommand").f(void 0, void 0).ser(se_AcknowledgeJobCommand).de(de_AcknowledgeJobCommand).build() {
  static {
    __name(this, "AcknowledgeJobCommand");
  }
};

// src/commands/AcknowledgeThirdPartyJobCommand.ts



var AcknowledgeThirdPartyJobCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "AcknowledgeThirdPartyJob", {}).n("CodePipelineClient", "AcknowledgeThirdPartyJobCommand").f(void 0, void 0).ser(se_AcknowledgeThirdPartyJobCommand).de(de_AcknowledgeThirdPartyJobCommand).build() {
  static {
    __name(this, "AcknowledgeThirdPartyJobCommand");
  }
};

// src/commands/CreateCustomActionTypeCommand.ts



var CreateCustomActionTypeCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "CreateCustomActionType", {}).n("CodePipelineClient", "CreateCustomActionTypeCommand").f(void 0, void 0).ser(se_CreateCustomActionTypeCommand).de(de_CreateCustomActionTypeCommand).build() {
  static {
    __name(this, "CreateCustomActionTypeCommand");
  }
};

// src/commands/CreatePipelineCommand.ts



var CreatePipelineCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "CreatePipeline", {}).n("CodePipelineClient", "CreatePipelineCommand").f(void 0, void 0).ser(se_CreatePipelineCommand).de(de_CreatePipelineCommand).build() {
  static {
    __name(this, "CreatePipelineCommand");
  }
};

// src/commands/DeleteCustomActionTypeCommand.ts



var DeleteCustomActionTypeCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "DeleteCustomActionType", {}).n("CodePipelineClient", "DeleteCustomActionTypeCommand").f(void 0, void 0).ser(se_DeleteCustomActionTypeCommand).de(de_DeleteCustomActionTypeCommand).build() {
  static {
    __name(this, "DeleteCustomActionTypeCommand");
  }
};

// src/commands/DeletePipelineCommand.ts



var DeletePipelineCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "DeletePipeline", {}).n("CodePipelineClient", "DeletePipelineCommand").f(void 0, void 0).ser(se_DeletePipelineCommand).de(de_DeletePipelineCommand).build() {
  static {
    __name(this, "DeletePipelineCommand");
  }
};

// src/commands/DeleteWebhookCommand.ts



var DeleteWebhookCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "DeleteWebhook", {}).n("CodePipelineClient", "DeleteWebhookCommand").f(void 0, void 0).ser(se_DeleteWebhookCommand).de(de_DeleteWebhookCommand).build() {
  static {
    __name(this, "DeleteWebhookCommand");
  }
};

// src/commands/DeregisterWebhookWithThirdPartyCommand.ts



var DeregisterWebhookWithThirdPartyCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "DeregisterWebhookWithThirdParty", {}).n("CodePipelineClient", "DeregisterWebhookWithThirdPartyCommand").f(void 0, void 0).ser(se_DeregisterWebhookWithThirdPartyCommand).de(de_DeregisterWebhookWithThirdPartyCommand).build() {
  static {
    __name(this, "DeregisterWebhookWithThirdPartyCommand");
  }
};

// src/commands/DisableStageTransitionCommand.ts



var DisableStageTransitionCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "DisableStageTransition", {}).n("CodePipelineClient", "DisableStageTransitionCommand").f(void 0, void 0).ser(se_DisableStageTransitionCommand).de(de_DisableStageTransitionCommand).build() {
  static {
    __name(this, "DisableStageTransitionCommand");
  }
};

// src/commands/EnableStageTransitionCommand.ts



var EnableStageTransitionCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "EnableStageTransition", {}).n("CodePipelineClient", "EnableStageTransitionCommand").f(void 0, void 0).ser(se_EnableStageTransitionCommand).de(de_EnableStageTransitionCommand).build() {
  static {
    __name(this, "EnableStageTransitionCommand");
  }
};

// src/commands/GetActionTypeCommand.ts



var GetActionTypeCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "GetActionType", {}).n("CodePipelineClient", "GetActionTypeCommand").f(void 0, void 0).ser(se_GetActionTypeCommand).de(de_GetActionTypeCommand).build() {
  static {
    __name(this, "GetActionTypeCommand");
  }
};

// src/commands/GetJobDetailsCommand.ts



var GetJobDetailsCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "GetJobDetails", {}).n("CodePipelineClient", "GetJobDetailsCommand").f(void 0, GetJobDetailsOutputFilterSensitiveLog).ser(se_GetJobDetailsCommand).de(de_GetJobDetailsCommand).build() {
  static {
    __name(this, "GetJobDetailsCommand");
  }
};

// src/commands/GetPipelineCommand.ts



var GetPipelineCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "GetPipeline", {}).n("CodePipelineClient", "GetPipelineCommand").f(void 0, void 0).ser(se_GetPipelineCommand).de(de_GetPipelineCommand).build() {
  static {
    __name(this, "GetPipelineCommand");
  }
};

// src/commands/GetPipelineExecutionCommand.ts



var GetPipelineExecutionCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "GetPipelineExecution", {}).n("CodePipelineClient", "GetPipelineExecutionCommand").f(void 0, void 0).ser(se_GetPipelineExecutionCommand).de(de_GetPipelineExecutionCommand).build() {
  static {
    __name(this, "GetPipelineExecutionCommand");
  }
};

// src/commands/GetPipelineStateCommand.ts



var GetPipelineStateCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "GetPipelineState", {}).n("CodePipelineClient", "GetPipelineStateCommand").f(void 0, void 0).ser(se_GetPipelineStateCommand).de(de_GetPipelineStateCommand).build() {
  static {
    __name(this, "GetPipelineStateCommand");
  }
};

// src/commands/GetThirdPartyJobDetailsCommand.ts



var GetThirdPartyJobDetailsCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "GetThirdPartyJobDetails", {}).n("CodePipelineClient", "GetThirdPartyJobDetailsCommand").f(void 0, GetThirdPartyJobDetailsOutputFilterSensitiveLog).ser(se_GetThirdPartyJobDetailsCommand).de(de_GetThirdPartyJobDetailsCommand).build() {
  static {
    __name(this, "GetThirdPartyJobDetailsCommand");
  }
};

// src/commands/ListActionExecutionsCommand.ts



var ListActionExecutionsCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "ListActionExecutions", {}).n("CodePipelineClient", "ListActionExecutionsCommand").f(void 0, void 0).ser(se_ListActionExecutionsCommand).de(de_ListActionExecutionsCommand).build() {
  static {
    __name(this, "ListActionExecutionsCommand");
  }
};

// src/commands/ListActionTypesCommand.ts



var ListActionTypesCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "ListActionTypes", {}).n("CodePipelineClient", "ListActionTypesCommand").f(void 0, void 0).ser(se_ListActionTypesCommand).de(de_ListActionTypesCommand).build() {
  static {
    __name(this, "ListActionTypesCommand");
  }
};

// src/commands/ListPipelineExecutionsCommand.ts



var ListPipelineExecutionsCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "ListPipelineExecutions", {}).n("CodePipelineClient", "ListPipelineExecutionsCommand").f(void 0, void 0).ser(se_ListPipelineExecutionsCommand).de(de_ListPipelineExecutionsCommand).build() {
  static {
    __name(this, "ListPipelineExecutionsCommand");
  }
};

// src/commands/ListPipelinesCommand.ts



var ListPipelinesCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "ListPipelines", {}).n("CodePipelineClient", "ListPipelinesCommand").f(void 0, void 0).ser(se_ListPipelinesCommand).de(de_ListPipelinesCommand).build() {
  static {
    __name(this, "ListPipelinesCommand");
  }
};

// src/commands/ListRuleExecutionsCommand.ts



var ListRuleExecutionsCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "ListRuleExecutions", {}).n("CodePipelineClient", "ListRuleExecutionsCommand").f(void 0, void 0).ser(se_ListRuleExecutionsCommand).de(de_ListRuleExecutionsCommand).build() {
  static {
    __name(this, "ListRuleExecutionsCommand");
  }
};

// src/commands/ListRuleTypesCommand.ts



var ListRuleTypesCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "ListRuleTypes", {}).n("CodePipelineClient", "ListRuleTypesCommand").f(void 0, void 0).ser(se_ListRuleTypesCommand).de(de_ListRuleTypesCommand).build() {
  static {
    __name(this, "ListRuleTypesCommand");
  }
};

// src/commands/ListTagsForResourceCommand.ts



var ListTagsForResourceCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "ListTagsForResource", {}).n("CodePipelineClient", "ListTagsForResourceCommand").f(void 0, void 0).ser(se_ListTagsForResourceCommand).de(de_ListTagsForResourceCommand).build() {
  static {
    __name(this, "ListTagsForResourceCommand");
  }
};

// src/commands/ListWebhooksCommand.ts



var ListWebhooksCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "ListWebhooks", {}).n("CodePipelineClient", "ListWebhooksCommand").f(void 0, void 0).ser(se_ListWebhooksCommand).de(de_ListWebhooksCommand).build() {
  static {
    __name(this, "ListWebhooksCommand");
  }
};

// src/commands/OverrideStageConditionCommand.ts



var OverrideStageConditionCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "OverrideStageCondition", {}).n("CodePipelineClient", "OverrideStageConditionCommand").f(void 0, void 0).ser(se_OverrideStageConditionCommand).de(de_OverrideStageConditionCommand).build() {
  static {
    __name(this, "OverrideStageConditionCommand");
  }
};

// src/commands/PollForJobsCommand.ts



var PollForJobsCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "PollForJobs", {}).n("CodePipelineClient", "PollForJobsCommand").f(void 0, PollForJobsOutputFilterSensitiveLog).ser(se_PollForJobsCommand).de(de_PollForJobsCommand).build() {
  static {
    __name(this, "PollForJobsCommand");
  }
};

// src/commands/PollForThirdPartyJobsCommand.ts



var PollForThirdPartyJobsCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "PollForThirdPartyJobs", {}).n("CodePipelineClient", "PollForThirdPartyJobsCommand").f(void 0, void 0).ser(se_PollForThirdPartyJobsCommand).de(de_PollForThirdPartyJobsCommand).build() {
  static {
    __name(this, "PollForThirdPartyJobsCommand");
  }
};

// src/commands/PutActionRevisionCommand.ts



var PutActionRevisionCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "PutActionRevision", {}).n("CodePipelineClient", "PutActionRevisionCommand").f(void 0, void 0).ser(se_PutActionRevisionCommand).de(de_PutActionRevisionCommand).build() {
  static {
    __name(this, "PutActionRevisionCommand");
  }
};

// src/commands/PutApprovalResultCommand.ts



var PutApprovalResultCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "PutApprovalResult", {}).n("CodePipelineClient", "PutApprovalResultCommand").f(void 0, void 0).ser(se_PutApprovalResultCommand).de(de_PutApprovalResultCommand).build() {
  static {
    __name(this, "PutApprovalResultCommand");
  }
};

// src/commands/PutJobFailureResultCommand.ts



var PutJobFailureResultCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "PutJobFailureResult", {}).n("CodePipelineClient", "PutJobFailureResultCommand").f(void 0, void 0).ser(se_PutJobFailureResultCommand).de(de_PutJobFailureResultCommand).build() {
  static {
    __name(this, "PutJobFailureResultCommand");
  }
};

// src/commands/PutJobSuccessResultCommand.ts



var PutJobSuccessResultCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "PutJobSuccessResult", {}).n("CodePipelineClient", "PutJobSuccessResultCommand").f(void 0, void 0).ser(se_PutJobSuccessResultCommand).de(de_PutJobSuccessResultCommand).build() {
  static {
    __name(this, "PutJobSuccessResultCommand");
  }
};

// src/commands/PutThirdPartyJobFailureResultCommand.ts



var PutThirdPartyJobFailureResultCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "PutThirdPartyJobFailureResult", {}).n("CodePipelineClient", "PutThirdPartyJobFailureResultCommand").f(void 0, void 0).ser(se_PutThirdPartyJobFailureResultCommand).de(de_PutThirdPartyJobFailureResultCommand).build() {
  static {
    __name(this, "PutThirdPartyJobFailureResultCommand");
  }
};

// src/commands/PutThirdPartyJobSuccessResultCommand.ts



var PutThirdPartyJobSuccessResultCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "PutThirdPartyJobSuccessResult", {}).n("CodePipelineClient", "PutThirdPartyJobSuccessResultCommand").f(void 0, void 0).ser(se_PutThirdPartyJobSuccessResultCommand).de(de_PutThirdPartyJobSuccessResultCommand).build() {
  static {
    __name(this, "PutThirdPartyJobSuccessResultCommand");
  }
};

// src/commands/PutWebhookCommand.ts



var PutWebhookCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "PutWebhook", {}).n("CodePipelineClient", "PutWebhookCommand").f(void 0, void 0).ser(se_PutWebhookCommand).de(de_PutWebhookCommand).build() {
  static {
    __name(this, "PutWebhookCommand");
  }
};

// src/commands/RegisterWebhookWithThirdPartyCommand.ts



var RegisterWebhookWithThirdPartyCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "RegisterWebhookWithThirdParty", {}).n("CodePipelineClient", "RegisterWebhookWithThirdPartyCommand").f(void 0, void 0).ser(se_RegisterWebhookWithThirdPartyCommand).de(de_RegisterWebhookWithThirdPartyCommand).build() {
  static {
    __name(this, "RegisterWebhookWithThirdPartyCommand");
  }
};

// src/commands/RetryStageExecutionCommand.ts



var RetryStageExecutionCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "RetryStageExecution", {}).n("CodePipelineClient", "RetryStageExecutionCommand").f(void 0, void 0).ser(se_RetryStageExecutionCommand).de(de_RetryStageExecutionCommand).build() {
  static {
    __name(this, "RetryStageExecutionCommand");
  }
};

// src/commands/RollbackStageCommand.ts



var RollbackStageCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "RollbackStage", {}).n("CodePipelineClient", "RollbackStageCommand").f(void 0, void 0).ser(se_RollbackStageCommand).de(de_RollbackStageCommand).build() {
  static {
    __name(this, "RollbackStageCommand");
  }
};

// src/commands/StartPipelineExecutionCommand.ts



var StartPipelineExecutionCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "StartPipelineExecution", {}).n("CodePipelineClient", "StartPipelineExecutionCommand").f(void 0, void 0).ser(se_StartPipelineExecutionCommand).de(de_StartPipelineExecutionCommand).build() {
  static {
    __name(this, "StartPipelineExecutionCommand");
  }
};

// src/commands/StopPipelineExecutionCommand.ts



var StopPipelineExecutionCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "StopPipelineExecution", {}).n("CodePipelineClient", "StopPipelineExecutionCommand").f(void 0, void 0).ser(se_StopPipelineExecutionCommand).de(de_StopPipelineExecutionCommand).build() {
  static {
    __name(this, "StopPipelineExecutionCommand");
  }
};

// src/commands/TagResourceCommand.ts



var TagResourceCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "TagResource", {}).n("CodePipelineClient", "TagResourceCommand").f(void 0, void 0).ser(se_TagResourceCommand).de(de_TagResourceCommand).build() {
  static {
    __name(this, "TagResourceCommand");
  }
};

// src/commands/UntagResourceCommand.ts



var UntagResourceCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "UntagResource", {}).n("CodePipelineClient", "UntagResourceCommand").f(void 0, void 0).ser(se_UntagResourceCommand).de(de_UntagResourceCommand).build() {
  static {
    __name(this, "UntagResourceCommand");
  }
};

// src/commands/UpdateActionTypeCommand.ts



var UpdateActionTypeCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "UpdateActionType", {}).n("CodePipelineClient", "UpdateActionTypeCommand").f(void 0, void 0).ser(se_UpdateActionTypeCommand).de(de_UpdateActionTypeCommand).build() {
  static {
    __name(this, "UpdateActionTypeCommand");
  }
};

// src/commands/UpdatePipelineCommand.ts



var UpdatePipelineCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodePipeline_20150709", "UpdatePipeline", {}).n("CodePipelineClient", "UpdatePipelineCommand").f(void 0, void 0).ser(se_UpdatePipelineCommand).de(de_UpdatePipelineCommand).build() {
  static {
    __name(this, "UpdatePipelineCommand");
  }
};

// src/CodePipeline.ts
var commands = {
  AcknowledgeJobCommand,
  AcknowledgeThirdPartyJobCommand,
  CreateCustomActionTypeCommand,
  CreatePipelineCommand,
  DeleteCustomActionTypeCommand,
  DeletePipelineCommand,
  DeleteWebhookCommand,
  DeregisterWebhookWithThirdPartyCommand,
  DisableStageTransitionCommand,
  EnableStageTransitionCommand,
  GetActionTypeCommand,
  GetJobDetailsCommand,
  GetPipelineCommand,
  GetPipelineExecutionCommand,
  GetPipelineStateCommand,
  GetThirdPartyJobDetailsCommand,
  ListActionExecutionsCommand,
  ListActionTypesCommand,
  ListPipelineExecutionsCommand,
  ListPipelinesCommand,
  ListRuleExecutionsCommand,
  ListRuleTypesCommand,
  ListTagsForResourceCommand,
  ListWebhooksCommand,
  OverrideStageConditionCommand,
  PollForJobsCommand,
  PollForThirdPartyJobsCommand,
  PutActionRevisionCommand,
  PutApprovalResultCommand,
  PutJobFailureResultCommand,
  PutJobSuccessResultCommand,
  PutThirdPartyJobFailureResultCommand,
  PutThirdPartyJobSuccessResultCommand,
  PutWebhookCommand,
  RegisterWebhookWithThirdPartyCommand,
  RetryStageExecutionCommand,
  RollbackStageCommand,
  StartPipelineExecutionCommand,
  StopPipelineExecutionCommand,
  TagResourceCommand,
  UntagResourceCommand,
  UpdateActionTypeCommand,
  UpdatePipelineCommand
};
var CodePipeline = class extends CodePipelineClient {
  static {
    __name(this, "CodePipeline");
  }
};
(0, import_smithy_client.createAggregatedClient)(commands, CodePipeline);

// src/pagination/ListActionExecutionsPaginator.ts

var paginateListActionExecutions = (0, import_core.createPaginator)(CodePipelineClient, ListActionExecutionsCommand, "nextToken", "nextToken", "maxResults");

// src/pagination/ListActionTypesPaginator.ts

var paginateListActionTypes = (0, import_core.createPaginator)(CodePipelineClient, ListActionTypesCommand, "nextToken", "nextToken", "");

// src/pagination/ListPipelineExecutionsPaginator.ts

var paginateListPipelineExecutions = (0, import_core.createPaginator)(CodePipelineClient, ListPipelineExecutionsCommand, "nextToken", "nextToken", "maxResults");

// src/pagination/ListPipelinesPaginator.ts

var paginateListPipelines = (0, import_core.createPaginator)(CodePipelineClient, ListPipelinesCommand, "nextToken", "nextToken", "maxResults");

// src/pagination/ListRuleExecutionsPaginator.ts

var paginateListRuleExecutions = (0, import_core.createPaginator)(CodePipelineClient, ListRuleExecutionsCommand, "nextToken", "nextToken", "maxResults");

// src/pagination/ListTagsForResourcePaginator.ts

var paginateListTagsForResource = (0, import_core.createPaginator)(CodePipelineClient, ListTagsForResourceCommand, "nextToken", "nextToken", "maxResults");

// src/pagination/ListWebhooksPaginator.ts

var paginateListWebhooks = (0, import_core.createPaginator)(CodePipelineClient, ListWebhooksCommand, "NextToken", "NextToken", "MaxResults");
// Annotate the CommonJS export names for ESM import in node:

0 && (module.exports = {
  CodePipelineServiceException,
  __Client,
  CodePipelineClient,
  CodePipeline,
  $Command,
  AcknowledgeJobCommand,
  AcknowledgeThirdPartyJobCommand,
  CreateCustomActionTypeCommand,
  CreatePipelineCommand,
  DeleteCustomActionTypeCommand,
  DeletePipelineCommand,
  DeleteWebhookCommand,
  DeregisterWebhookWithThirdPartyCommand,
  DisableStageTransitionCommand,
  EnableStageTransitionCommand,
  GetActionTypeCommand,
  GetJobDetailsCommand,
  GetPipelineCommand,
  GetPipelineExecutionCommand,
  GetPipelineStateCommand,
  GetThirdPartyJobDetailsCommand,
  ListActionExecutionsCommand,
  ListActionTypesCommand,
  ListPipelineExecutionsCommand,
  ListPipelinesCommand,
  ListRuleExecutionsCommand,
  ListRuleTypesCommand,
  ListTagsForResourceCommand,
  ListWebhooksCommand,
  OverrideStageConditionCommand,
  PollForJobsCommand,
  PollForThirdPartyJobsCommand,
  PutActionRevisionCommand,
  PutApprovalResultCommand,
  PutJobFailureResultCommand,
  PutJobSuccessResultCommand,
  PutThirdPartyJobFailureResultCommand,
  PutThirdPartyJobSuccessResultCommand,
  PutWebhookCommand,
  RegisterWebhookWithThirdPartyCommand,
  RetryStageExecutionCommand,
  RollbackStageCommand,
  StartPipelineExecutionCommand,
  StopPipelineExecutionCommand,
  TagResourceCommand,
  UntagResourceCommand,
  UpdateActionTypeCommand,
  UpdatePipelineCommand,
  paginateListActionExecutions,
  paginateListActionTypes,
  paginateListPipelineExecutions,
  paginateListPipelines,
  paginateListRuleExecutions,
  paginateListTagsForResource,
  paginateListWebhooks,
  JobStatus,
  InvalidNonceException,
  JobNotFoundException,
  ValidationException,
  InvalidClientTokenException,
  ActionCategory,
  ActionConfigurationPropertyType,
  ActionOwner,
  ActionExecutionStatus,
  StartTimeRange,
  ActionNotFoundException,
  ExecutorType,
  ActionTypeNotFoundException,
  ApprovalAlreadyCompletedException,
  ApprovalStatus,
  ArtifactLocationType,
  EncryptionKeyType,
  ArtifactStoreType,
  Result,
  RuleCategory,
  RuleOwner,
  BlockerType,
  ConcurrentModificationException,
  InvalidTagsException,
  LimitExceededException,
  TooManyTagsException,
  ExecutionMode,
  PipelineType,
  StageRetryMode,
  GitPullRequestEventType,
  PipelineTriggerProviderType,
  InvalidActionDeclarationException,
  InvalidBlockerDeclarationException,
  InvalidStageDeclarationException,
  InvalidStructureException,
  PipelineNameInUseException,
  WebhookNotFoundException,
  StageTransitionType,
  PipelineNotFoundException,
  StageNotFoundException,
  PipelineVersionNotFoundException,
  ExecutionType,
  PipelineExecutionStatus,
  TriggerType,
  PipelineExecutionNotFoundException,
  ConditionExecutionStatus,
  RuleExecutionStatus,
  StageExecutionStatus,
  RetryTrigger,
  InvalidJobException,
  InvalidNextTokenException,
  RuleConfigurationPropertyType,
  InvalidArnException,
  ResourceNotFoundException,
  WebhookAuthenticationType,
  ConcurrentPipelineExecutionsLimitExceededException,
  ConditionNotOverridableException,
  ConflictException,
  NotLatestPipelineExecutionException,
  ConditionType,
  InvalidApprovalTokenException,
  InvalidJobStateException,
  FailureType,
  OutputVariablesSizeExceededException,
  InvalidWebhookAuthenticationParametersException,
  InvalidWebhookFilterPatternException,
  StageNotRetryableException,
  PipelineExecutionOutdatedException,
  UnableToRollbackStageException,
  SourceRevisionType,
  DuplicatedStopRequestException,
  PipelineExecutionNotStoppableException,
  RequestFailedException,
  AWSSessionCredentialsFilterSensitiveLog,
  JobDataFilterSensitiveLog,
  JobDetailsFilterSensitiveLog,
  GetJobDetailsOutputFilterSensitiveLog,
  ThirdPartyJobDataFilterSensitiveLog,
  ThirdPartyJobDetailsFilterSensitiveLog,
  GetThirdPartyJobDetailsOutputFilterSensitiveLog,
  JobFilterSensitiveLog,
  PollForJobsOutputFilterSensitiveLog
});

