import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import {
  ListRuleExecutionsInput,
  ListRuleExecutionsOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface ListRuleExecutionsCommandInput
  extends ListRuleExecutionsInput {}
export interface ListRuleExecutionsCommandOutput
  extends ListRuleExecutionsOutput,
    __MetadataBearer {}
declare const ListRuleExecutionsCommand_base: {
  new (
    input: ListRuleExecutionsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListRuleExecutionsCommandInput,
    ListRuleExecutionsCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ListRuleExecutionsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListRuleExecutionsCommandInput,
    ListRuleExecutionsCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListRuleExecutionsCommand extends ListRuleExecutionsCommand_base {
  protected static __types: {
    api: {
      input: ListRuleExecutionsInput;
      output: ListRuleExecutionsOutput;
    };
    sdk: {
      input: ListRuleExecutionsCommandInput;
      output: ListRuleExecutionsCommandOutput;
    };
  };
}
